
package com.tmerclub.cloud.api.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;

import java.io.Serial;
import java.io.Serializable;

/**
 * 分类签约信息
 *
 * @author lth
 */
public class CategoryShopDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "主键Id")
    private Long categoryShopId;

    @Schema(description = "分类id")
    @NotNull(message = "分类id不能为空")
    private Long categoryId;

    @Schema(description = "自定义扣率，为空代表采用平台扣率")
    private Double rate;

    @Schema(description = "经营资质")
    private String qualifications;

    public Long getCategoryShopId() {
        return categoryShopId;
    }

    public void setCategoryShopId(Long categoryShopId) {
        this.categoryShopId = categoryShopId;
    }

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public Double getRate() {
        return rate;
    }

    public void setRate(Double rate) {
        this.rate = rate;
    }

    public String getQualifications() {
        return qualifications;
    }

    public void setQualifications(String qualifications) {
        this.qualifications = qualifications;
    }

    @Override
    public String toString() {
        return "CategoryShopDTO{" +
                "categoryShopId=" + categoryShopId +
                ", categoryId=" + categoryId +
                ", rate=" + rate +
                ", qualifications='" + qualifications + '\'' +
                '}';
    }
}
